import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';
import '../main.dart';
import 'box_name.dart';
import 'colors.dart';

class AppStyle {
  static TextStyle headTitle = TextStyle(
      fontWeight: FontWeight.bold,
      fontSize: 36,
      color: AppColor.accentColor,
      fontFamily: box.read(BoxName.lang) == 'ar'
          // ?GoogleFonts.markaziText().fontFamily
          ? GoogleFonts.markaziText().fontFamily
          : GoogleFonts.inter().fontFamily);
  static TextStyle headTitle2 = TextStyle(
      fontWeight: FontWeight.bold,
      fontSize: 24,
      color: AppColor.writeColor,
      fontFamily: box.read(BoxName.lang) == 'ar'
          ? GoogleFonts.markaziText().fontFamily
          : GoogleFonts.inter().fontFamily);
  static TextStyle title = TextStyle(
      fontWeight: FontWeight.normal,
      fontSize: 16,
      color: AppColor.writeColor,
      fontFamily: box.read(BoxName.lang) == 'ar'
          ? GoogleFonts.markaziText().fontFamily
          : GoogleFonts.inter().fontFamily);
  static TextStyle subtitle = TextStyle(
      fontWeight: FontWeight.bold,
      fontSize: 12,
      color: AppColor.writeColor,
      fontFamily: box.read(BoxName.lang) == 'ar'
          ? GoogleFonts.markaziText().fontFamily
          : GoogleFonts.inter().fontFamily);
  static TextStyle number = const TextStyle(
      fontWeight: FontWeight.bold,
      fontSize: 14,
      color: AppColor.writeColor,
      fontFamily: 'digit');

  static BoxDecoration boxDecoration = const BoxDecoration(
      boxShadow: [
        BoxShadow(
            color: AppColor.accentColor, blurRadius: 5, offset: Offset(2, 4)),
        BoxShadow(
            color: AppColor.accentColor, blurRadius: 5, offset: Offset(-2, -2))
      ],
      color: AppColor.secondaryColor,
      borderRadius: BorderRadius.all(
        Radius.elliptical(15, 30),
      ));
  static BoxDecoration boxDecoration1 = const BoxDecoration(
    boxShadow: [
      BoxShadow(
          color: Color.fromARGB(255, 237, 230, 230),
          blurRadius: 5,
          offset: Offset(2, 4)),
      BoxShadow(
          color: Color.fromARGB(255, 242, 237, 237),
          blurRadius: 5,
          offset: Offset(-2, -2))
    ],
    color: AppColor.secondaryColor,
    borderRadius: BorderRadius.all(
      Radius.elliptical(15, 30),
    ),
  );
}
